package com.cloudcross.ssp.back.model;

import java.util.Date;
/**
 * 
 * @author xiangliu
 * 和t_advertiser表相关
 * 广告主的资质审核
 */
public class Audit {
		//广告主Id
		private Long id;
		//广告主名字
		private String name;
		//行业Id  和t_indestry（行业）表相关
		private Long industryId;
		//公司注册名
		private String regName;
		//网址
		private String homePage;
		//联系人
		private String contacts;
		//电话
		private String tel;
		//电子邮件
		private String email; 
		//最后更新日期
		private Date updated;
		//CPI文件路径
		private String cpiPath; 
		//营业执照路径
		private String licencePath; 
		//法人代表身份证路径
		private String idPath; 
		//企业机构代码证
		private String orgPath; 
		//审核人账号id（t_account.id）
		private Float checkAccount; 
		//审核状态（0未审核，1审核通过，-1审核未通过）
		private Integer checkStatus; 
		//审核备注
		private String checkMemo;
		
		
		
		//下面是表里没有的字段
		
		//行业名称
		private String industryName;
		//行业名称
		private String agentName;
		
		public String getIndustryName() {
			return industryName;
		}
		public void setIndustryName(String industryName) {
			this.industryName = industryName;
		}
		public String getAgentName() {
			return agentName;
		}
		public void setAgentName(String agentName) {
			this.agentName = agentName;
		}
		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public Long getIndustryId() {
			return industryId;
		}
		
		public void setIndustryId(Long industryId) {
			this.industryId = industryId;
		}
		public String getRegName() {
			return regName;
		}
		public void setRegName(String regName) {
			this.regName = regName;
		}
		public String getHomePage() {
			return homePage;
		}
		public void setHomePage(String homePage) {
			this.homePage = homePage;
		}
		public String getContacts() {
			return contacts;
		}
		public void setContacts(String contacts) {
			this.contacts = contacts;
		}
		public String getTel() {
			return tel;
		}
		public void setTel(String tel) {
			this.tel = tel;
		}
		public String getEmail() {
			return email;
		}
		public void setEmail(String email) {
			this.email = email;
		}
		public Date getUpdated() {
			return updated;
		}
		public void setUpdated(Date updated) {
			this.updated = updated;
		}
		public String getCpiPath() {
			return cpiPath;
		}
		public void setCpiPath(String cpiPath) {
			this.cpiPath = cpiPath;
		}
		public String getLicencePath() {
			return licencePath;
		}
		public void setLicencePath(String licencePath) {
			this.licencePath = licencePath;
		}
		public String getIdPath() {
			return idPath;
		}
		public void setIdPath(String idPath) {
			this.idPath = idPath;
		}
		public String getOrgPath() {
			return orgPath;
		}
		public void setOrgPath(String orgPath) {
			this.orgPath = orgPath;
		}
		public Float getCheckAccount() {
			return checkAccount;
		}
		public void setCheckAccount(Float checkAccount) {
			this.checkAccount = checkAccount;
		}
		public Integer getCheckStatus() {
			return checkStatus;
		}
		public void setCheckStatus(Integer checkStatus) {
			this.checkStatus = checkStatus;
		}
		public String getCheckMemo() {
			return checkMemo;
		}
		public void setCheckMemo(String checkMemo) {
			this.checkMemo = checkMemo;
		}
		@Override
		public String toString() {
			return "Audit [id=" + id + ", name=" + name + ", industryId="
					+ industryId + ", regName=" + regName + ", homePage="
					+ homePage + ", contacts=" + contacts + ", tel=" + tel
					+ ", email=" + email + ", updated=" + updated
					+ ", cpiPath=" + cpiPath + ", licencePath=" + licencePath
					+ ", idPath=" + idPath + ", orgPath=" + orgPath
					+ ", checkAccount=" + checkAccount + ", checkStatus="
					+ checkStatus + ", checkMemo=" + checkMemo
					+ ", industryName=" + industryName + ", agentName="
					+ agentName + "]";
		} 
		
		
}
